Kerbal Space Program - Bug #9650

Can't lock/unlock resources on probes without ElectricCharge.
05/01/2016 10:09 PM - Enceos
Assignee:
Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Description

No more Deep Sleep mode for probes because turning off batteries means death. In previous versions of KSP we could simulate the
Deep Sleep mode by turning off the batteries and turning them on when the probe reaches its target.

History

#1 - 05/02/2016 03:27 AM - Pluto239

- Status changed from New to Confirmed

- % Done changed from 0 to 10

| have noticed this as well (result: Surprise! Mission Failure.). Is this a bug or "working as intended"?

#2 - 05/02/2016 02:26 PM - Brusura

| have to add that there is something to do for prioritize who consume electricity

for example if you leave on an ion engine this will consume all electricity coming in and will keep going draining always electricity to zero , so you are
having a craft trusting until the end of xenon without the ability to do anything to the craft because you are out of electriciy so..imho electricity should
go in this order for example:

1. probe

2. battery

2. reaction wheel
3. engine

#3 - 05/02/2016 02:38 PM - smjjames

| wonder if this will end up causing headaches when we start working on the antenna stuff in 1.2, which will be a while yet.

#4 - 05/03/2016 05:07 AM - Calvin_K
Pluto239 wrote:

| have noticed this as well (result: Surprise! Mission Failure.). Is this a bug or "working as intended"?

| believe this is an intended feature as per some past denotes, ill see if | can dig something up, but | could be mistaken.

#5 - 05/07/2016 09:17 PM - Navi1982

| think this is not a bug. It is in order of things when disconnect the power source and the device becomes inoperable because even timer (like in
Rosetta) during SleepMode must have a source of power (for example: OX-STAT Photovoltaic Panels or any of the battery with a sufficient amount of
energyy). Try to disable devices that consume energy from the battery instead of disconnect the battery itself.

#6 - 05/08/2016 05:40 AM - Enceos
@Navi1982

It's a game-breaker for the current Remote Tech players during shadow and night time missions. The bad thing is now you can't have a reserve
battery for emergency situations, because you can't activate it if the main battery goes dry.

#7 - 05/14/2016 01:16 PM - Navi1982
to Enceos:

| think the developers should take care about this. Usually the active "listening" device consumes energy. However, there are passive devices that are
activated externally. Thus, the developers of this mod must come up with an analogue of passive battery activator. For example, reed switch or some
kind of Passive Frequency Detector of Alternating ElectroMagnetic Field (PFD-AEMF)... or, not sure if implemented by SQUAD's, manually switching

by kerbonauts. :)

#8 - 07/17/2016 09:56 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#9 - 07/19/2016 04:09 PM - KroShan
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

This is working as intended. Can't find the source but i know it was discussed...

#10 - 10/13/2016 11:17 AM - TriggerAu

- Status changed from Resolved to Closed
